- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFMpeg

class FFMpeg

## Methods

| __construct(FFMpegDriver $ffmpeg, FFProbe $ffprobe) |
FFMpeg | setFFProbe(FFProbe $ffprobe) Sets FFProbe. |
FFProbe | getFFProbe() Gets FFProbe. |
FFMpeg | setFFMpegDriver(FFMpegDriver $ffmpeg) Sets the ffmpeg driver. |
FFMpegDriver | getFFMpegDriver() Gets the ffmpeg driver. |
Audio|Video | open(string $pathfile) Opens a file in order to be processed. |
static FFMpeg | create(array|ConfigurationInterface $configuration = array(), LoggerInterface $logger = null, FFProbe $probe = null) Creates a new FFMpeg instance. |

## Details

###
at line 29
`public __construct(FFMpegDriver $ffmpeg, FFProbe $ffprobe)`

#### Parameters

FFMpegDriver | $ffmpeg |
FFProbe | $ffprobe |

###
at line 42
`public FFMpeg setFFProbe(FFProbe $ffprobe)`

Sets FFProbe.

#### Parameters

FFProbe | $ffprobe |

#### Return Value

FFMpeg |

###
at line 54
`public FFProbe getFFProbe()`

Gets FFProbe.

#### Return Value

FFProbe |

###
at line 64
`public FFMpeg setFFMpegDriver(FFMpegDriver $ffmpeg)`

Sets the ffmpeg driver.

#### Parameters

FFMpegDriver | $ffmpeg |

#### Return Value

FFMpeg |

###
at line 76
`public FFMpegDriver getFFMpegDriver()`

Gets the ffmpeg driver.

#### Return Value

FFMpegDriver |

###
at line 90
`public Audio|Video open(string $pathfile)`

Opens a file in order to be processed.

#### Parameters

string | $pathfile | A pathfile

#### Return Value

Audio|Video |

#### Exceptions

InvalidArgumentException |

###
at line 114
`static public FFMpeg create(array|ConfigurationInterface $configuration = array(), LoggerInterface $logger = null, FFProbe $probe = null)`

Creates a new FFMpeg instance.

#### Parameters

array|ConfigurationInterface | $configuration |
LoggerInterface | $logger |
FFProbe | $probe |

#### Return Value

FFMpeg |